Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class NamedObjectImpl

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.server.NamedObjectImpl

Direct Known Subclasses:
  ComponentObjectImpl, oracle.jbo.server.DefObject

public abstract class NamedObjectImpl
extends BaseObject

The base class for all business objects.

Since:
  JDevloper 3.0

Field Summary
`protected java.lang.String` | `mFullName`
`protected java.lang.String` | `mName`
`protected NamedObjectImpl` | `mParent`
`protected java.util.Hashtable` | `mProperties`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Constructor Summary
`protected` | `NamedObjectImpl()`

Method Summary
`java.lang.String` | `getFullName()` Gets this object's fully-qualified name.
`java.lang.String` | `getName()` Get the name of this object.
`NamedObjectImpl` | `getParent()` Gets this object's parent.
`java.util.Hashtable` | `getProperties()` Gets this object's properties.
`java.lang.String[]` | `getPropertiesAsStrings()` Gets this object's properties and presents them as a string array.
`java.lang.Object` | `getProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`java.lang.Object` | `refreshProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`void` | `setFullName(java.lang.String name)` Give this object a fully-qualified name.
`void` | `setProperty(java.lang.String hintName, java.lang.Object hintValue)` Adds or changes a property.

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mProperties

    protected java.util.Hashtable mProperties

### mName

    protected java.lang.String mName

### mParent

    protected NamedObjectImpl mParent

### mFullName

    protected java.lang.String mFullName

Constructor Detail

### NamedObjectImpl

    protected NamedObjectImpl()

Method Detail

### getName

    public java.lang.String getName()

  Get the name of this object.
  Returns:
    the name given to this object.

### setFullName

    public void setFullName(java.lang.String name)

  Give this object a fully-qualified name.
  Parameters:
    `name` - this object's fully-qualified name; the package name concatenated with the class name.

### getFullName

    public java.lang.String getFullName()

  Gets this object's fully-qualified name.
  Returns:
    this object's fully-qualified name; the package name concatenated with the class name.

### getParent

    public NamedObjectImpl getParent()

  Gets this object's parent.
  Returns:
    the named object that is this object's parent.

### getProperties

    public java.util.Hashtable getProperties()

  Gets this object's properties. return an empty hashtable if no propertes are set into this object.
  Returns:
    a hash table of properties.

### getPropertiesAsStrings

    public java.lang.String[] getPropertiesAsStrings()

  Gets this object's properties and presents them as a string array.
  Returns:
    key-value pairs in a one-dimensional string array, in which keys and values are interleaved: the nth property's key is at index 2n and its value at index 2n + 1.

### getProperty

    public java.lang.Object getProperty(java.lang.String hintName)

  Retrieves the specified property, if it exists.
  Parameters:
    `hintName` - a string to be used as a hash table key.
  Returns:
    the value associated with `hintName`, if any, otherwise `null`.

### refreshProperty

    public java.lang.Object refreshProperty(java.lang.String hintName)

  Retrieves the specified property, if it exists. If the application running in a 3 tier environment, it retrieves the property from the middle-tier server, refreshing the value on the client side. If the application is running in a 2 tier environment, it is equivalent to `getProperty`.
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### setProperty

    public void setProperty(java.lang.String hintName,
                            java.lang.Object hintValue)

  Adds or changes a property.
  Parameters:
    `hintName` - a string to be used as a hash table key.
    `hintValue` - an object to be associated with `key`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD